Hacks to make Macromedia's GetFlash.exe not complain about the lack of PKCS7 support.

diff --git a/dlls/crypt32/cert.c b/dlls/crypt32/cert.c
index b39c3ca..e3ed7e0 100644
--- a/dlls/crypt32/cert.c
+++ b/dlls/crypt32/cert.c
@@ -130,6 +130,10 @@ BOOL WINAPI CertFreeCertificateContext(PCCERT_CONTEXT pCertContext)
 {
     TRACE("(%p)\n", pCertContext);
 
+	// HACK for GetFlash.exe
+	if (pCertContext == 0xdeadbeef)
+		return TRUE;
+
     if (pCertContext)
         Context_Release((void *)pCertContext, sizeof(CERT_CONTEXT),
          CertDataContext_Free);
@@ -921,6 +925,12 @@ PCCERT_CONTEXT WINAPI CertFindCertificateInStore(HCERTSTORE hCertStore,
     TRACE("(%p, %d, %d, %d, %p, %p)\n", hCertStore, dwCertEncodingType,
 	 dwFlags, dwType, pvPara, pPrevCertContext);
 
+	// HACK for GetFlash.exe
+	if (hCertStore == 0xdeadbeef) {
+		ret = 0xdeadbeef;
+		return ret;
+	}
+
     switch (dwType >> CERT_COMPARE_SHIFT)
     {
     case CERT_COMPARE_ANY:
@@ -987,6 +997,12 @@ BOOL WINAPI CertVerifySubjectCertificateContext(PCCERT_CONTEXT pSubject,
     static const DWORD supportedFlags = CERT_STORE_REVOCATION_FLAG |
      CERT_STORE_SIGNATURE_FLAG | CERT_STORE_TIME_VALIDITY_FLAG;
 
+	// HACK for GetFlash.exe
+    if (pSubject == 0xdeadbeef || pIssuer == 0xdeadbeef) {
+		*pdwFlags = 0;
+		return TRUE;
+	}
+
     if (*pdwFlags & ~supportedFlags)
     {
         SetLastError(E_INVALIDARG);
diff --git a/dlls/crypt32/crypt32.spec b/dlls/crypt32/crypt32.spec
index 7ee23f4..705fb8f 100644
--- a/dlls/crypt32/crypt32.spec
+++ b/dlls/crypt32/crypt32.spec
@@ -118,7 +118,7 @@
 @ stub CryptGetAsyncParam
 @ stdcall CryptGetDefaultOIDDllList(long long ptr ptr)
 @ stdcall CryptGetDefaultOIDFunctionAddress(long long wstr long ptr ptr)
-@ stub CryptGetMessageCertificates
+@ stdcall CryptGetMessageCertificates(long long long ptr long)
 @ stub CryptGetMessageSignerCount
 @ stdcall CryptGetOIDFunctionAddress(long long str long ptr ptr)
 @ stdcall CryptGetOIDFunctionValue(long str str wstr ptr ptr ptr)
diff --git a/dlls/crypt32/main.c b/dlls/crypt32/main.c
index dd9e1fb..80567ab 100644
--- a/dlls/crypt32/main.c
+++ b/dlls/crypt32/main.c
@@ -238,5 +238,15 @@ BOOL WINAPI CryptVerifyMessageSignature(PCRYPT_VERIFY_MESSAGE_PARA pVerifyPara,
     FIXME("stub: %p, %d, %p, %d, %p, %p, %p\n",
         pVerifyPara, dwSignerIndex, pbSignedBlob, cbSignedBlob,
         pbDecoded, pcbDecoded, ppSignerCert);
-    return FALSE;
+    return TRUE;
+}
+
+HCERTSTORE WINAPI CryptGetMessageCertificates(DWORD dwMsgAndCertEncodingType,
+		  HCRYPTPROV hCryptProv, DWORD dwFlags, const BYTE* pbSignedBlob,
+		  DWORD cbSignedBlob)
+{
+    FIXME("stub: %d, %p, %d, %p, %d\n",
+		dwMsgAndCertEncodingType, hCryptProv, dwFlags, pbSignedBlob, 
+		cbSignedBlob);
+    return 0xdeadbeef;   // HACK for GetFlash.exe
 }
diff --git a/dlls/crypt32/store.c b/dlls/crypt32/store.c
index 8c8cda5..c82fcbc 100644
--- a/dlls/crypt32/store.c
+++ b/dlls/crypt32/store.c
@@ -2431,6 +2431,10 @@ BOOL WINAPI CertCloseStore(HCERTSTORE hCertStore, DWORD dwFlags)
 
     TRACE("(%p, %08x)\n", hCertStore, dwFlags);
 
+	// HACK for GetFlash.exe
+	if (hCertStore == 0xdeadbeef)
+		return TRUE;
+
     if( ! hCertStore )
         return TRUE;
 
